# Class SlowOutputStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
org.apache.jmeter.util.SlowOutputStream

All Implemented Interfaces:
  `Closeable, Flushable, AutoCloseable`

public class SlowOutputStream extends FilterOutputStream
OutputStream filter to emulate a slow device, e.g. modem

## Field Summary

### Fields inherited from class FilterOutputStream

`out`

## Constructor Summary

Constructors
Constructor
Description
`SlowOutputStream(OutputStream out, int cps)`
Create wrapped Output Stream toe emulate the requested CPS.

## Method Summary

Modifier and Type
Method
Description
`void`
`write(byte[] b, int off, int len)`
`void`
`write(int b)`

### Methods inherited from class FilterOutputStream

`close, flush, write`

### Methods inherited from class OutputStream

`nullOutputStream`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlowOutputStream

public SlowOutputStream(OutputStream out, int cps)
Create wrapped Output Stream toe emulate the requested CPS.

Parameters:
  `out` - OutputStream
  `cps` - characters per second

## Method Details

### write

public void write(byte[] b, int off, int len) throws IOException

Overrides:
  `write` in class `FilterOutputStream`
Throws:
  `IOException`

### write

public void write(int b) throws IOException

Overrides:
  `write` in class `FilterOutputStream`
Throws:
  `IOException`